# Uses of Class
org.apache.lucene.facet.taxonomy.ParallelTaxonomyArrays.IntArray

Packages that use ParallelTaxonomyArrays.IntArray
Package
Description
org.apache.lucene.facet.taxonomy
Taxonomy of Categories.

- ## Uses of ParallelTaxonomyArrays.IntArray in org.apache.lucene.facet.taxonomy

  Methods in org.apache.lucene.facet.taxonomy that return ParallelTaxonomyArrays.IntArray
  Modifier and Type
  Method
  Description
  `abstract ParallelTaxonomyArrays.IntArray`
  ParallelTaxonomyArrays.`children()`
  Returns the children array, where `children[i]` denotes a child of category ordinal `i`.
  `abstract ParallelTaxonomyArrays.IntArray`
  ParallelTaxonomyArrays.`parents()`
  Returns the parents array, where `parents[i]` denotes the parent of category ordinal `i`.
  `abstract ParallelTaxonomyArrays.IntArray`
  ParallelTaxonomyArrays.`siblings()`
  Returns the siblings array, where `siblings[i]` denotes the sibling of category ordinal `i`.